Security Lab

Переполнение буфера в XMail

Дата публикации:14.10.2005
Всего просмотров:2161
Опасность:
Низкая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Локальная
Воздействие: Повышение привилегий
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: XMail 1.x
Уязвимые версии: XMail 1.21

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за недостаточной проверки границ при обработке входных данных. Функция AddressFromAtPtr не проверяет границы аргументов передаваемых другими функциями, в результате чего возникает переполнение стека при указании опции ‘-t’. Локальный пользователь может с помощью специально сформированного email адреса вызвать переполнение стека и выполнить произвольный код на системе с повышенными привилегиями.

URL производителя: www.xmailserver.org

Решение: Установите последнюю версию (1.22) с сайта производителя.

Источник:

Ссылки: Multiple Vendor XMail sendmail Recipient Buffer Overflow Vulnerability